Skip to main content
GET
List the tasks

Authorizations

Authorization
string
header
required

A pc_… token generated from Settings > API & MCP.

Query Parameters

areaId
string<uuid>

Identifier of a row.

Pattern: ^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$
assignedToMe
boolean
default:false

Only what is assigned to you, whoever owns it (Teams 02).

completedSince
integer

For status=done, only completions at or after this epoch millisecond.

Required range: 0 <= x <= 9007199254740991
cursor
string
Maximum string length: 512
limit
integer
default:100
Required range: 1 <= x <= 200
projectId
string<uuid>

Identifier of a row.

Pattern: ^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$
query
string

Search within the title.

Required string length: 1 - 200
sharedWithMe
boolean
default:false

Only the tasks of the projects and areas shared with you, none of your own.

status
enum<string>
default:open
Available options:
open,
done,
archived
workspaceId
string<uuid>

The workspace to read within; the personal one by default (T-D11).

Pattern: ^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$

Response

Success.

tasks
object[]
required
total
integer
required

Number of results before limit is applied.

Required range: -9007199254740991 <= x <= 9007199254740991
nextCursor
string | null
required

Opaque cursor for the next page, or null.